summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPierre Neidhardt2015-06-30 17:48:43 +0200
committerPierre Neidhardt2015-06-30 17:48:43 +0200
commit6344b5203441a62ea7d5446444adb857d630ce23 (patch)
treebf10ce836e415efcc6b4dd2f537226a7e50f3afe
downloadaur-6344b5203441a62ea7d5446444adb857d630ce23.tar.gz
Init
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD37
2 files changed, 57 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e92680ea6e0
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = lua51-oocairo-git
+ pkgdesc = Module providing access to Cairo from within Lua
+ pkgver = 2015.04.03.g2f41d09
+ pkgrel = 1
+ url = https://github.com/awesomeWM/oocairo
+ arch = i686
+ arch = x86_64
+ license = MIT
+ makedepends = git
+ makedepends = libtool
+ makedepends = pkgconfig
+ depends = cairo>=1.8.0
+ depends = lua51
+ provides = lua51-oocairo
+ conflicts = lua51-oocairo
+ source = git+https://github.com/awesomeWM/oocairo.git
+ sha1sums = SKIP
+
+pkgname = lua51-oocairo-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e15c2ad184e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Pierre Neidhardt <ambrevar@gmail.com>
+# Contributor: Michal Minar <mr.mini@centrum.cz>
+# Contributor: Zsolt Udvari <udvzsolt@gmail.com>
+
+_pkgname=oocairo
+pkgname=lua51-$_pkgname-git
+pkgver=2015.04.03.g2f41d09
+pkgrel=1
+pkgdesc="Module providing access to Cairo from within Lua"
+arch=(i686 x86_64)
+url="https://github.com/awesomeWM/oocairo"
+license=('MIT')
+depends=("cairo>=1.8.0" "lua51")
+conflicts=("lua51-oocairo")
+provides=("lua51-oocairo")
+makedepends=("git" "libtool" "pkgconfig")
+source=("git+https://github.com/awesomeWM/oocairo.git")
+sha1sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$_pkgname"
+ git log -1 --format="%cd.g%h" --date=short | sed 's/-/./g'
+}
+
+build() {
+ cd ${srcdir}/${_pkgname}
+ autoreconf --install
+ export oocairo_cv_lua_name=lua5.1
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd ${srcdir}/${_pkgname}/
+ install -D -m755 .libs/liboocairo.so.0.0.0 "${pkgdir}/usr/lib/lua/5.1/oocairo.so"
+ install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/lua51-$_pkgname/COPYRIGHT"
+}